<?php
include("connection.php");
if (isset($_POST['add'])) {
    $notice = $_POST['notice'];
    $currentDateTime = date('Y-m-d H:i:s');
    // Prepare the insert statement
    $sql="INSERT INTO notice (notice,date_time) VALUES ('$notice','$currentDateTime')";
    $result=mysqli_query($conn,$sql);
    if ($result) {
        header("Location: notice_for_all.php?success=Notice Added Successfully!!!");
    } else {
        header("Location: notice_for_all.php?error=Failed insertion!!!");
    }
    
}

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $itemId = $_POST['item_id'];
    
    if (isset($_POST['activate'])) {
        $status = 1;
    } elseif (isset($_POST['block'])) {
        $status = 0;
    }
    
    $updateQuery = "UPDATE notice SET status = $status WHERE id = $itemId";
    mysqli_query($conn, $updateQuery);
    
    // Redirect back to the view table page
    header('Location: notice_for_all.php');
    exit();
}

?>
